scala.tools.nsc.typechecker

# EtaExpansion

#### trait EtaExpansion extends AnyRef

This trait ...

Self Type
  Analyzer
Source
  EtaExpansion.scala
Version

  1.0

Linear Supertypes
AnyRef, Any
Known Subclasses
Analyzer, Duplicator, Duplicators, Erasure, SpecializationDuplicator, TreeCheckers, erasure, treeChecker
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. EtaExpansion
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from EtaExpansion to any2stringadd[EtaExpansion] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (EtaExpansion, B)

   Implicit information
     This member is added by an implicit conversion from EtaExpansion to ArrowAssoc[EtaExpansion] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (EtaExpansion) ⇒ Boolean, msg: ⇒ Any): EtaExpansion

   Implicit information
     This member is added by an implicit conversion from EtaExpansion to Ensuring[EtaExpansion] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (EtaExpansion) ⇒ Boolean): EtaExpansion

   Implicit information
     This member is added by an implicit conversion from EtaExpansion to Ensuring[EtaExpansion] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): EtaExpansion

    Implicit information
      This member is added by an implicit conversion from EtaExpansion to Ensuring[EtaExpansion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): EtaExpansion

    Implicit information
      This member is added by an implicit conversion from EtaExpansion to Ensuring[EtaExpansion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def etaExpand(unit: Global.CompilationUnit, tree: Global.Tree, typer: Analyzer.Typer): Global.Tree

    Expand partial function applications of type `type`.

    Expand partial function applications of type `type`.

         p.f(es_1)...(es_n)
            ==>  {
                   private synthetic val eta$f   = p.f   // if p is not stable
                   ...
                   private synthetic val eta$e_i = e_i    // if e_i is not stable
                   ...
                   (ps_1 => ... => ps_m => eta$f([es_1])...([es_m])(ps_1)...(ps_m))
                 }

    tree is already attributed

15. #### object etaExpansion

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from EtaExpansion to StringFormat[EtaExpansion] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### def →[B](y: B): (EtaExpansion, B)

    Implicit information
      This member is added by an implicit conversion from EtaExpansion to ArrowAssoc[EtaExpansion] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from EtaExpansion to any2stringadd[EtaExpansion]

### Inherited by implicit conversion StringFormat from EtaExpansion to StringFormat[EtaExpansion]

### Inherited by implicit conversion Ensuring from EtaExpansion to Ensuring[EtaExpansion]

### Inherited by implicit conversion ArrowAssoc from EtaExpansion to ArrowAssoc[EtaExpansion]

### Ungrouped